(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16657,        517]
NotebookOptionsPosition[     15586,        475]
NotebookOutlinePosition[     15918,        490]
CellTagsIndexPosition[     15875,        487]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<DiscreteMath`Combinatorica`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4129904564442043`*^9, 3.412990476903808*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"newpkg\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\\"DiscreteMath`Combinatorica`\\\"\\) is now \
available as the \\!\\(\\\"Combinatorica Package\\\"\\). See the \
Compatibility Guide for updating information. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:Compatibility/Tutorials/DiscreteMath/Combinatorica\\\",\
 ButtonNote -> \\\"General::newpkg\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.412990477944084*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FromAdjacencyMatrix", "::", "\<\"shdw\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Symbol \\!\\(\\\"FromAdjacencyMatrix\\\"\\) appears in \
multiple contexts \\!\\({\\\"DiscreteMath`Combinatorica`\\\", \
\\\"Global`\\\"}\\); definitions in context \
\\!\\(\\\"DiscreteMath`Combinatorica`\\\"\\) may shadow or be shadowed by \
other definitions. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\
\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/shdw\\\", ButtonNote -> \
\\\"DiscreteMath`Combinatorica`FromAdjacencyMatrix::shdw\\\"]\\)\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{3.412990478174221*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ShowGraph", "::", "\<\"shdw\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Symbol \\!\\(\\\"ShowGraph\\\"\\) appears in multiple \
contexts \\!\\({\\\"DiscreteMath`Combinatorica`\\\", \\\"Global`\\\"}\\); \
definitions in context \\!\\(\\\"DiscreteMath`Combinatorica`\\\"\\) may \
shadow or be shadowed by other definitions. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/shdw\\\", ButtonNote -> \
\\\"DiscreteMath`Combinatorica`ShowGraph::shdw\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{3.412990478315269*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"FromAdjacencyMatrix", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
       "}"}]}], "}"}], ",", "Directed"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.412990486087291*^9, 3.412990487032831*^9}, {
   3.412990530610372*^9, 3.41299054803306*^9}, {3.412991747486711*^9, 
   3.412991763925043*^9}, {3.4129929352717743`*^9, 3.412992937559422*^9}, {
   3.412993015924385*^9, 3.41299314200493*^9}, 3.4129932237764683`*^9, {
   3.4129932717753353`*^9, 3.4129932765766163`*^9}}],

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"FromAdjacencyMatrix", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
       "}"}]}], "}"}], ",", "Directed"}], "]"}], "]"}]], "Output",
 CellChangeTimes->{
  3.412990487832357*^9, {3.4129905330082293`*^9, 3.4129905506653557`*^9}, 
   3.412991765671193*^9, 3.4129929386392937`*^9, {3.412993017441696*^9, 
   3.412993087527103*^9}, {3.412993122996263*^9, 3.412993142546104*^9}, 
   3.412993226462796*^9, 3.4129932779060993`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"FromAdjacencyLists", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "1"}], "}"}]}], "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4129924116756487`*^9, 3.412992414834371*^9}, {
  3.412992455152287*^9, 3.412992501010902*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8093549664173249, 0.8895308956918098}, {0.38097946440702185`,
       0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.38097946440702196`, 0.987304808614266}, {0.0374489842506188, 
      0.7133483924195397}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.38097946440702196`, 0.987304808614266}, {
      0.38097946440702185`, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     CircleBox[{0.0574489842506188, 0.7333483924195398}, 
      0.028284271247461912`], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     CircleBox[{0.8293549664173246, 0.11777391292245613`}, 
      0.028284271247461915`], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8093549664173249, 0.8895308956918098}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.38097946440702196`, 0.987304808614266}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.0374489842506188, 0.7133483924195397}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.037448984250618746`, 0.2739564161947264}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.38097946440702185`, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.8093549664173246, 0.09777391292245613}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.493652404307133}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->1,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.012551015749381257`, 1.05}, {-0.05, 1.037304808614266}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{3.412992504187439*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"baseGraph", "=", "  ", 
  RowBox[{"MakeGraph", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7"}], "}"}],
     ",", "false"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.412992537407659*^9, 3.4129925475106707`*^9}, {
  3.4129927420495*^9, 3.412992745592821*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[SkeletonIndicator]Graph:<\"\>", "\[InvisibleSpace]", "0", 
   "\[InvisibleSpace]", "\<\", \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\", \"\>", "\[InvisibleSpace]", "\<\"Directed\"\>",
    "\[InvisibleSpace]", "\<\">\[SkeletonIndicator]\"\>"}],
  SequenceForm[
  "\[SkeletonIndicator]Graph:<", 0, ", ", 7, ", ", "Directed", 
   ">\[SkeletonIndicator]"],
  Editable->False]], "Output",
 CellChangeTimes->{3.41299254911862*^9, 3.412992746341242*^9, 
  3.412993190434309*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"test", " ", "=", " ", 
  RowBox[{"AddEdges", "[", 
   RowBox[{"baseGraph", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "7"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "2"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.412992558359408*^9, 3.4129926175673237`*^9}, {
  3.412992729488719*^9, 3.412992738149826*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[SkeletonIndicator]Graph:<\"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\", \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\", \"\>", "\[InvisibleSpace]", "\<\"Directed\"\>",
    "\[InvisibleSpace]", "\<\">\[SkeletonIndicator]\"\>"}],
  SequenceForm[
  "\[SkeletonIndicator]Graph:<", 7, ", ", 7, ", ", "Directed", 
   ">\[SkeletonIndicator]"],
  Editable->False]], "Output",
 CellChangeTimes->{3.4129926744073753`*^9, 3.41299274975597*^9, 
  3.412993193027423*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", "test", "]"}]], "Input",
 CellChangeTimes->{{3.412992754556382*^9, 3.412992760149478*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     ArrowBox[{{0.8093549664173249, 0.8895308956918098}, {0.8093549664173246, 
      0.09777391292245613}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     ArrowBox[{{0.38097946440702196`, 0.987304808614266}, {
      0.38097946440702185`, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     ArrowBox[{{0.0374489842506188, 0.7133483924195397}, {
      0.38097946440702196`, 0.987304808614266}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     ArrowBox[{{0.037448984250618746`, 0.2739564161947264}, {
      0.0374489842506188, 0.7133483924195397}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     ArrowBox[{{0.037448984250618746`, 0.2739564161947264}, {1., 
      0.493652404307133}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     ArrowBox[{{0.8093549664173246, 0.09777391292245613}, {
      0.037448984250618746`, 0.2739564161947264}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     ArrowBox[{{1., 0.493652404307133}, {0.38097946440702196`, 
      0.987304808614266}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8093549664173249, 0.8895308956918098}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.38097946440702196`, 0.987304808614266}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.0374489842506188, 0.7133483924195397}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.037448984250618746`, 0.2739564161947264}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.38097946440702185`, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.8093549664173246, 0.09777391292245613}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.493652404307133}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->1,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.012551015749381257`, 1.05}, {-0.05, 1.037304808614266}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{3.412992761113199*^9, 3.412993195190269*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ToAdjacencyMatrix", "[", "test", "]"}]], "Input",
 CellChangeTimes->{{3.4129931851974373`*^9, 3.41299318722761*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.412993197243227*^9}]
}, Open  ]]
},
WindowSize->{760, 967},
WindowMargins->{{46, Automatic}, {0, Automatic}},
FrontEndVersion->"6.0 for Linux x86 (64-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 181, 4, 32, "Input"],
Cell[774, 29, 555, 10, 65, "Message"],
Cell[1332, 41, 673, 13, 85, "Message"],
Cell[2008, 56, 641, 12, 85, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2686, 73, 1427, 38, 99, "Input"],
Cell[4116, 113, 1379, 38, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5532, 156, 694, 20, 55, "Input"],
Cell[6229, 178, 2726, 89, 375, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8992, 272, 354, 9, 32, "Input"],
Cell[9349, 283, 541, 11, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9927, 299, 732, 21, 32, "Input"],
Cell[10662, 322, 543, 11, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11242, 338, 131, 2, 32, "Input"],
Cell[11376, 342, 3121, 97, 375, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14534, 444, 140, 2, 32, "Input"],
Cell[14677, 448, 893, 24, 72, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

